int potentiometer_pin = A0;                                     //Define the analog input pin

void setup() {
  Serial.begin(9600);                                           //Default baud rate of the Nextion TFT is 9600
  pinMode(potentiometer_pin,INPUT);                             //Define pin as input
}

void loop() {
  int Value = map(analogRead(potentiometer_pin),0,1024,0,255);  //Read the pot value ann map it to 0.255 (max value of waveform=255)
  String Tosend = "add ";                                       //We send the string "add "
  Tosend += 1;                                                  //send the id of the block you want to add the value to
  Tosend += ",";  
  Tosend += 0;                                                  //Channel of taht id, in this case channel 0 of the waveform
  Tosend += ",";
  Tosend += Value;                                              //Send the value and 3 full bytes
  Serial.print(Tosend);
  Serial.write(0xff);
  Serial.write(0xff);
  Serial.write(0xff);
}
